Bug 2876 - (same_name_breaks_dl) various problems with downloading wenn applications have the same name
(same_name_breaks_dl)
: various problems with downloading wenn applications have the same name
Status: RESOLVED FIXED
Product: maemo.org Website
Downloads
: unspecified
: All Linux
: High major (vote)
: ---
Assigned To: Niels Breet
: downloads@maemo.org
: http://maemo.org/downloads/
:
:
:
  Show dependency tree
 
Reported: 2008-02-02 19:55 UTC by Collin Mulliner
Modified: 2008-04-08 15:19 UTC (History)
0 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Collin Mulliner (reporter) 2008-02-02 19:55:50 UTC
I uploaded a new version of my application IpHome to the maemo download section
a few days ago. At the time the server was very flacky so the first time I
added the application I got an error and I thought it was not uploaded - so I
uploaded it again. Now there are two versions of it in OS2008. While trying to
fix this I get redirected to the page of the OS2007 version if IpHome (I see
that from the URL).

The actual problem now is that when somebodu tries to download IpHome for
OS2008 he seems to get the install file for OS2007 and therefore is unable to
install it.

The best solution would be to only have one version of IpHome for all OS
versions but I don't think the website-software supports this, right?
Comment 1 Jake Kunnari 2008-02-06 14:10:34 UTC
Assigned to Mr. Niels.
Comment 2 Niels Breet maemo.org 2008-04-08 15:19:33 UTC
This happened when there was a bug in the software, allowing for duplicate
creations. This bug has now been fixed and I have removed the duplicate
versions for your software.

We don't support one version for all OS versions, because we want to be able to
offer different information for each OS. For example different screenshot.

You should now be able to edit all your entries and correct them if there is a
problem with the data.

I'm marking this as FIXED, please reopen if you still experience any problems.